#ifndef __HW_PLATTFORM_HPP__
#define __HW_PLATTFORM_HPP__

#include <iostream>

//
// csl ressources
//

#include "./../csl/implementations/dummy/dummy_pin.hpp"

//
// drivers
//

#include "./../drivers/LED.hpp"

struct HW_plattform
{
    HW_plattform():
        pin_0(),
        pin_1(),
        led_0(pin_0)
    {}

    void init()
    {
        std::cout << "bsl init..." << std::endl;
        pin_0.set(false);
        pin_1.set(false);
        std::cout << "...done!" << std::endl;
    };

    private:
    Dummy_Pin pin_0, pin_1;
    public:

    LED<Dummy_Pin> led_0;
};


#endif // __HW_PLATTFORM_HPP__
